<?php
/**
 * @category   Order
 * @package    Order_Status
 * @author     admin1@gmail.com
 * @copyright  This file was generated by using Module Creator(http://code.vky.co.in/magento-2-module-creator/) provided by VKY <viky.031290@gmail.com>
 * @license    http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */

namespace BQP\Order\Controller\Adminhtml\Items;

class Processing extends \BQP\Order\Controller\Adminhtml\Items
{
    /**
     * Items list.
     *
     * @return \Magento\Backend\Model\View\Result\Page
     */
    public function execute()
    {
        /** @var \Magento\Backend\Model\View\Result\Page $resultPage */
        $resultPage = $this->resultPageFactory->create();
        $resultPage->setActiveMenu('BQP_Order::Processing');
        $resultPage->getConfig()->getTitle()->prepend(__('Processing Order'));
        return $resultPage;
    }
      /**
    * {@inheritdoc}
    */
    protected function _isAllowed()
    {
        return $this->_authorization->isAllowed('BQP_Order::processing');
    }
}